mod day01;
mod utils;
mod day02;
mod day03;
mod day04;
mod day05;
mod day06;
mod day07;

const CONTENT01: &'static str = include_str!("input/day01/input.txt");
const CONTENT02: &'static str = include_str!("input/day02/input.txt");
const CONTENT03: &'static str = include_str!("input/day03/input.txt");
const CONTENT04: &'static str = include_str!("input/day04/input.txt");
const CONTENT05: &'static str = include_str!("input/day05/input.txt");
const CONTENT06: &'static str = include_str!("input/day06/input.txt");
const CONTENT07: &'static str = include_str!("input/day07/input.txt");

fn main() {
    day01::execute_task01(CONTENT01);
    day01::execute_task02(CONTENT01);
    println!();
    day02::execute_task01(CONTENT02);
    day02::execute_task02(CONTENT02);
    println!();
    day03::execute_task01(CONTENT03);
    day03::execute_task02(CONTENT03);
    println!();
    day04::execute_task01(CONTENT04);
    day04::execute_task02(CONTENT04);
    println!();
    day05::execute_task01(CONTENT05);
    //day05::execute_task02(CONTENT05); // Performance Issues
    println!();
    day06::execute_task01(CONTENT06);
    day06::execute_task02(CONTENT06);
    println!();
    day07::execute_task01(CONTENT07);
    day07::execute_task02(CONTENT07);
}
